### Hierarchy

- CustomBitSet<GameSprite>
  - SpriteBitSet

## Index

### Constructors

- constructor

### Properties

- bitSet

### Methods

- add
- addAll
- containsAll
- containsAny
- containsNone
- has
- indexOf
- isEmpty
- remove
- toString
- union

## Constructors

### constructor

- new SpriteBitSet(items?: Iterable<GameSprite>, bitSet?: BitSet): SpriteBitSet

- Inherited from CustomBitSet.constructor

  - Defined in spriteBitSet.ts:8

  #### Parameters

  - ##### Optional items: Iterable<GameSprite>

  - ##### Optional bitSet: BitSet

  #### Returns SpriteBitSet

## Properties

### Protected bitSet

bitSet: BitSet

Inherited from CustomBitSet.bitSet

- Defined in spriteBitSet.ts:8

## Methods

### add

- add(item: GameSprite): void

- Inherited from CustomBitSet.add

  - Defined in spriteBitSet.ts:43

  #### Parameters

  - ##### item: GameSprite

  #### Returns void

### addAll

- addAll(items: Iterable<GameSprite>): void

- Inherited from CustomBitSet.addAll

  - Defined in spriteBitSet.ts:30

  #### Parameters

  - ##### items: Iterable<GameSprite>

  #### Returns void

### containsAll

- containsAll(other: CustomBitSet<GameSprite>): boolean

- Inherited from CustomBitSet.containsAll

  - Defined in spriteBitSet.ts:55

  #### Parameters

  - ##### other: CustomBitSet<GameSprite>

  #### Returns boolean

### containsAny

- containsAny(other: CustomBitSet<GameSprite>): boolean

- Inherited from CustomBitSet.containsAny

  - Defined in spriteBitSet.ts:59

  #### Parameters

  - ##### other: CustomBitSet<GameSprite>

  #### Returns boolean

### containsNone

- containsNone(other: CustomBitSet<GameSprite>): any

- Inherited from CustomBitSet.containsNone

  - Defined in spriteBitSet.ts:63

  #### Parameters

  - ##### other: CustomBitSet<GameSprite>

  #### Returns any

### has

- has(item: GameSprite): boolean

- Inherited from CustomBitSet.has

  - Defined in spriteBitSet.ts:51

  #### Parameters

  - ##### item: GameSprite

  #### Returns boolean

### indexOf

- indexOf(item: GameSprite): number

- Overrides CustomBitSet.indexOf

  - Defined in spriteBitSet.ts:80

  #### Parameters

  - ##### item: GameSprite

  #### Returns number

### isEmpty

- isEmpty(): any

- Inherited from CustomBitSet.isEmpty

  - Defined in spriteBitSet.ts:26

  #### Returns any

### remove

- remove(item: GameSprite): void

- Inherited from CustomBitSet.remove

  - Defined in spriteBitSet.ts:47

  #### Parameters

  - ##### item: GameSprite

  #### Returns void

### toString

- toString(gameData: GameData): string

- - Defined in spriteBitSet.ts:84

  #### Parameters

  - ##### gameData: GameData

  #### Returns string

### union

- union(bitSets: Iterable<SpriteBitSet>): SpriteBitSet

- - Defined in spriteBitSet.ts:92

  #### Parameters

  - ##### bitSets: Iterable<SpriteBitSet>

  #### Returns SpriteBitSet

Generated using TypeDoc